Description
===========

Manages Windows {2003,2008} Scheduled Tasks via settings stored inside chef data bags.

Requirements
============

Windows, task scheduler version 1 or 2.

Attributes
==========

Attributes are extremely limited and mostly point at templates.  All task configuration information is located inside data bags.  See "schedule.rb" attribute file for details.

Usage
=====

Give tasks a name and place their settings into a data bag.  Then create another data bag that contains the hostnames of your nodes and attach a comma-delineated list of task names to each node.  Kronos will ensure that the tasks are appropriately scheduled on the servers.

Kronos for Windows 2003 is more simplistic than the 2008 version.  For Windows 2003, Kronos does not permit "non-managed" tasks, as it deletes all tasks at the beginning of each run.  On Windows 2003, if the task does not have the correct data bag entry, it will be deleted by Kronos on the subsequent run.  This was for simplicity sake.  Kronos for 2003 accepts all the main task scheduler version 1.0 settings; see "create_task.bat.erb" for the command line that is run, and the "schedule.rb" attribute file for additional information.

Kronos for Windows 2008 is slightly more advanced in that it permits "non-managed" tasks to co-exist with Kronos tasks.  All tasks that are managed by Kronos have a "kronos-" prefix; this is the primary method of distinguishing between them.  Kronos for Windows 2008 currently accepts slightly fewer schedule options than Windows 2003; at the moment they are limited to "minute" "hourly" and "daily".  Other scheduling options will be added at a later date as the task.xml.erb file is expanded.  See "schedule.rb" attribute file for details.

Note that task scheduler 2.0 for Windows 2008 is significantly more complicated than version 1.0, hence the mucking about with the registry.